# boards.create

> POST https://app.intraface.cc/api/v1/boards

An agent token (`Authorization: Bearer ifc_…`) or a signed-in person. Body limit: 4096 KB.

**Auth:** agent token (`Authorization: Bearer ifc_…`) or signed-in session (`__session` cookie)

## Request body (application/json)

```json
{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "type": {
      "type": "string",
      "enum": [
        "travel",
        "compliance",
        "review",
        "launch",
        "dossier",
        "blank",
        "upload"
      ]
    },
    "manifest": {
      "type": "object",
      "properties": {
        "entry": {
          "type": "string",
          "pattern": "\\.html?$"
        },
        "files": {}
      },
      "required": [
        "entry",
        "files"
      ]
    },
    "message": {
      "type": "string",
      "minLength": 1,
      "maxLength": 500
    },
    "agent": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    }
  },
  "required": [
    "title",
    "type",
    "manifest"
  ]
}
```

## Responses

### 201: Success.

application/json:

```json
{
  "type": "object",
  "properties": {
    "board": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "slug": {
          "type": "string",
          "pattern": "^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$"
        },
        "key": {
          "type": "string",
          "pattern": "^[a-z0-9]{10}$"
        },
        "title": {
          "type": "string",
          "minLength": 1,
          "maxLength": 120
        },
        "type": {
          "type": "string",
          "enum": [
            "travel",
            "compliance",
            "review",
            "launch",
            "dossier",
            "blank",
            "upload"
          ]
        },
        "owner_id": {
          "type": "string",
          "pattern": "^user_[A-Za-z0-9]+$"
        },
        "head_n": {
          "type": "integer",
          "minimum": 0,
          "maximum": 9007199254740991
        },
        "link_access": {
          "type": "string",
          "enum": [
            "off",
            "view",
            "comment"
          ]
        },
        "approval_mode": {
          "type": "boolean"
        },
        "self_contained": {
          "type": "boolean"
        },
        "sealed": {
          "type": "boolean"
        },
        "my_role": {
          "anyOf": [
            {
              "type": "string",
              "enum": [
                "owner",
                "editor",
                "contributor",
                "commenter",
                "viewer"
              ]
            },
            {
              "type": "null"
            }
          ]
        },
        "is_member": {
          "default": true,
          "type": "boolean"
        },
        "taken_down_at": {
          "default": null,
          "anyOf": [
            {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
            },
            {
              "type": "null"
            }
          ]
        },
        "takedown_reason": {
          "default": null,
          "type": [
            "string",
            "null"
          ]
        },
        "created_at": {
          "type": "string",
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
        },
        "updated_at": {
          "type": "string",
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
        }
      },
      "required": [
        "id",
        "slug",
        "key",
        "title",
        "type",
        "owner_id",
        "head_n",
        "link_access",
        "approval_mode",
        "self_contained",
        "sealed",
        "my_role",
        "created_at",
        "updated_at"
      ]
    },
    "version": {
      "type": "object",
      "properties": {
        "board_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "n": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        "manifest_sha": {
          "type": "string",
          "pattern": "^[a-f0-9]{64}$"
        },
        "parent_n": {
          "anyOf": [
            {
              "type": "integer",
              "minimum": 0,
              "maximum": 9007199254740991
            },
            {
              "type": "null"
            }
          ]
        },
        "author_id": {
          "type": "string",
          "pattern": "^user_[A-Za-z0-9]+$"
        },
        "agent": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "size_bytes": {
          "type": "integer",
          "minimum": 0,
          "maximum": 9007199254740991
        },
        "thumb_url": {
          "anyOf": [
            {
              "type": "string",
              "format": "uri"
            },
            {
              "type": "null"
            }
          ]
        },
        "created_at": {
          "type": "string",
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
        }
      },
      "required": [
        "board_id",
        "n",
        "manifest_sha",
        "parent_n",
        "author_id",
        "agent",
        "message",
        "size_bytes",
        "thumb_url",
        "created_at"
      ]
    }
  },
  "required": [
    "board",
    "version"
  ]
}
```

### default

Any other error, in the shared envelope `{ error: { code, message, hint?, details? } }`.
